NSX-T Data Center REST API

Perform action on specified virtual machine e.g. add new tags

Perform action on a specific virtual machine. External id of the virtual machine needs to be
provided in the request body.
To add new tags to existing list of tag, use action parameter add_tags.
The vmw-async: True HTTP header cannot be used with this API.

Request:

Method:
POST
URI Path(s):
/api/v1/fabric/virtual-machines?action=add_tags
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
VirtualMachineTagUpdate+

Example Request:

POST https://<nsx-mgr>/api/v1/fabric/virtual-machines?action=add_tags { "external_id": "ID-0", "tags": [ {"scope": "os", "tag": "win32"}, {"scope": "security", "tag": "PCI"} ] }

Successful Response:

Response Code:
204 No Content
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

vm_vm_tags

Additional Errors: